Bug 189384 - Review Request: python-ruledispatch: A generic function package for Python
Review Request: python-ruledispatch: A generic function package for Python
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-04-19 12:44 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 18:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-04-19 12:44:10 EDT
Spec URL: http://fedora.ivazquez.net/files/extras/python-ruledispatch.spec
SRPM URL: http://fedora.ivazquez.net/files/extras/python-ruledispatch-0.5a0-0.svnr2115.src.rpm
Description: Something about generic functions in Python.
Comment 1 Orion Poplawski 2006-05-24 17:35:00 EDT
- I would suggest http://www.turbogears.org/download/index.html as the URL.  At
least it gives reference to TurboGears.

- md5sum matches
0bdec1022ad28a6819abc99e5f2e5b7c  RuleDispatch-0.5a0.dev-r2115.tar.gz
0bdec1022ad28a6819abc99e5f2e5b7c  RuleDispatch-0.5a0.dev-r2115.tar.gz.srpm

- spec is clean and readable.

Question:

- What's the latest about packaging/ghosting .pyo files?

Bad:

- doesn't build on x86_64, needs:

%{python_sitearch}/RuleDispatch-%{version}.dev_%{svnrev}-py%{pyver}.egg-info
%{python_sitearch}/dispatch          

instead of sitelib.
                   
- rpmlint:

W: python-ruledispatch invalid-license PSF or ZPL

This matches the PKG-INFO file, though the source file don't say anything.

W: python-ruledispatch invalid-url (none)

- see above.

E: python-ruledispatch zero-length
/usr/lib64/python2.4/site-packages/RuleDispatch-0.5a0.dev_r2115-py2.4.egg-info/zip-safe
                       

Comment 2 Luke Macken 2006-07-07 11:53:56 EDT
Ignacio seems to be MIA, so I'll help push this one along.

http://people.redhat.com/lmacken/python-ruledispatch.spec
http://people.redhat.com/lmacken/python-ruledispatch-0.5a0-1.svnr2115.src.rpm

* Thu Jul  6 2006 Luke Macken <lmacken@redhat.com> 0.5a0-1.svnr2115
- Use sitearch instead of sitelib in the files
- Remove python-abi requirement
- Ghost the .pyo files
- Add the URL
Comment 3 Orion Poplawski 2006-07-07 18:41:21 EDT
- Release should have gone to 0.svnr2115.1, I think.

- Let's get a better %decription than "Something about generic functions in Python."

- Is zip-safe necessary?

E: python-ruledispatch zero-length
/usr/lib64/python2.4/site-packages/RuleDispatch-0.5a0.dev_r2115-py2.4.egg-info/zip-safe
 
Comment 4 Aurelien Bompard 2006-07-08 09:57:34 EDT
> - Release should have gone to 0.svnr2115.1, I think.

According to
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PreReleasePackages)
(someone please fix this parenthesis) it should be :
0.1.svnr2115
If you want to bump the release without changing the version it will become
0.2.svnr2115

> - Is zip-safe necessary?

It looks like a dummy file to avoid the zip extractor bug were empty dirs are
not created. Harmless to remove, but harmless to keep also.
I would not consider it a blocker (sometimes one just has to ignore rpmlint's
warnings)
Comment 6 Orion Poplawski 2006-07-11 16:36:04 EDT
APPROVED.  Luke - are you going to be the maintainer now?
Comment 7 Luke Macken 2006-07-11 18:46:00 EDT
I have no problem maintaining this until Ignacio returns.

Imported into CVS, added to owners.list, FC{4,5} branches requested, tagged and
built for fc6.

Thanks!

(please close this bug as NEXTRELEASE; I don't have the privs)

Note You need to log in before you can comment on or make changes to this bug.